# PSF-LoginServer - master - net.psforever.login.psadmin.PsAdminActor
PSF - LoginServer - master - net.psforever.login.psadmin.PsAdminActor
Keywords: PSF LoginServer master net.psforever.login.psadmin.PsAdminActor

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package login
  Definition Classes
    psforever
-  package psadmin
  Definition Classes
    login
- CmdInternal
- CmdListPlayers
- CmdShutdown
- CommandErrorResponse
- CommandGoodResponse
- CommandResponse
- PsAdminActor
- PsAdminCommands

c

net.psforever.login.psadmin

# PsAdminActor 

###
Companion object PsAdminActor

#### class PsAdminActor extends Actor with Stash

Source
  PsAdminActor.scala

Linear Supertypes
Stash, RequiresMessageQueue[DequeBasedMessageQueueSemantics], UnrestrictedStash, StashSupport, Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PsAdminActor
2. Stash
3. RequiresMessageQueue
4. UnrestrictedStash
5. StashSupport
6. Actor
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new PsAdminActor(peerAddress: InetSocketAddress, connection: ActorRef)

### Type Members

1.  case class CommandCall (operation: String, args: Array[String]) extends Product with Serializable
2.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def ProcessCommand: Receive
5.  def ProcessCommands: Receive
6.  def ReceiveCommand: Receive
7.  def ServiceLookup: Receive
8.  def aroundPostRestart(reason: Throwable): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
9.  def aroundPostStop(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
10.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
11.  def aroundPreStart(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
12.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
13.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
14.  var buffer: ByteString
15.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
16.  var cluster: ActorRef[Command]
17.  implicit val context: ActorContext
    Definition Classes
      Actor
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
20.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
21.  implicit val formats: DefaultFormats.type
22.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
29.  def postStop(): Unit
    Definition Classes
      UnrestrictedStash → Actor
    Annotations
      @throws(classOf[java.lang.Exception])
30.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      UnrestrictedStash → Actor
    Annotations
      @throws(classOf[java.lang.Exception])
31.  def preStart(): Unit
    Definition Classes
      PsAdminActor → Actor
32.  def receive: Receive
    Definition Classes
      PsAdminActor → Actor
33.  implicit final val self: ActorRef
    Definition Classes
      Actor
34.  def sendLine(line: String): Unit
35.  final def sender(): ActorRef
    Definition Classes
      Actor
36.  def stash(): Unit
    Definition Classes
      StashSupport
37.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
38.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
39.  def toString(): String
    Definition Classes
      AnyRef → Any
40.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
41.  def unstashAll(): Unit
    Definition Classes
      StashSupport
42.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Stash

### Inherited from RequiresMessageQueue[DequeBasedMessageQueueSemantics]

### Inherited from UnrestrictedStash

### Inherited from StashSupport

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped